<?php

/**
 * Register widget area.
 *
 * @package travel_tour
 */


function travel_tour_widgets_init() {
		
	register_sidebar( array(
		'name'          => esc_html__( 'Travel Tour Sidebar', 'travel-tour' ),
		'id'            => 'sidebar-1',
		'description'   => 'This is the sidebar to be displayed on Travel Tour pages and posts.',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Testimonials', 'travel-tour' ),
		'id'            => 'testimonials',
		'description'   => '',
		'before_widget' => '<div id="%1$s" class="item widget-testimonials %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	for($i = 1; $i<5; $i++) {
		register_sidebar(
			array(
				'name'          => esc_html__( 'Footer Widget', 'travel-tour' ) . " " . $i,
				'id'            => 'footer-'.$i.'',
				'description'   => esc_html__( 'Add widgets here.', 'travel-tour' ),
				'before_widget' => '<section id="%1$s" class="widget %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			)
		);
	}
	
}
add_action( 'widgets_init', 'travel_tour_widgets_init' );